aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/system/.bashrc
diff options
context:
space:
mode:
authorCraig Jennings <c@cjennings.net>2026-01-24 18:52:34 -0600
committerCraig Jennings <c@cjennings.net>2026-01-24 18:52:34 -0600
commit7d0f90da66985b402c6a25eb3eca8cc9e6060ced (patch)
tree94a4fefdccc5cc1750a7466b3764b44bf1b8d0b0 /dotfiles/system/.bashrc
downloadarchsetup-7d0f90da66985b402c6a25eb3eca8cc9e6060ced.tar.gz
archsetup-7d0f90da66985b402c6a25eb3eca8cc9e6060ced.zip
fix(testing): remove obsolete --skip-slow-packages option
This flag was removed from archsetup but remained in test scripts.
Diffstat (limited to 'dotfiles/system/.bashrc')
-rw-r--r--dotfiles/system/.bashrc59
1 files changed, 59 insertions, 0 deletions
diff --git a/dotfiles/system/.bashrc b/dotfiles/system/.bashrc
new file mode 100644
index 0000000..b5290cd
--- /dev/null
+++ b/dotfiles/system/.bashrc
@@ -0,0 +1,59 @@
+#!/bin/bash
+# cjennings .bashrc
+
+# tells shellcheck not to follow references to other files
+# shellcheck source=/dev/null
+
+# If not running interactively, don't do anything
+case $- in
+ *i*) ;;
+ *) return;;
+esac
+
+# env variables, aliases, and functions that are not bash specific
+source "$HOME"/.profile
+
+# don't put duplicate lines or lines starting with space in the history.
+HISTCONTROL=ignoreboth
+
+# infinite history
+HISTSIZE=HISTFILESIZE=
+
+# append and reload the history after each command
+PROMPT_COMMAND="history -a; history -n"
+
+# ignore the following commands from the history
+HISTIGNORE="ls:ll:cd:pwd:bg:fg:history"
+
+# for setting history length see HISTSIZE and HISTFILESIZE in bash(1)
+HISTSIZE=100000
+HISTFILESIZE=10000000
+
+# append to the history file, don't overwrite it
+shopt -s histappend
+
+# cd to directory by typing its name
+shopt -s autocd
+
+# check window size after each command + update LINES and COLUMNS values.
+shopt -s checkwinsize
+
+# enable programmable completion features
+if ! shopt -oq posix; then
+ if [ -f /usr/share/bash-completion/bash_completion ]; then
+ . /usr/share/bash-completion/bash_completion
+ elif [ -f /etc/bash_completion ]; then
+ . /etc/bash_completion
+ fi
+fi
+if [ -f /etc/bash_completion ]; then
+ . /etc/bash_completion
+fi
+
+export PS1="[\d, \t] \u@\H:\w \n$ "
+
+source "$HOME"/.profile
+
+[ -f "$HOME"/.fzf.bash ] && source "$HOME"/.fzf.bash
+. "/home/cjennings/.deno/env"
+source /home/cjennings/.local/share/bash-completion/completions/deno.bash \ No newline at end of file